<ion-content>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-item>
      <ion-label>{{'Facilities >> Update ClubHouse' | translate}}</ion-label>
    </ion-item>
  </ion-toolbar>

  <ion-card>
    <ion-card-header>
      <ion-card-title>{{'Update ClubHouse' | translate}}</ion-card-title>
      <ion-card-subtitle>{{'Update ClubHouse'| translate}}</ion-card-subtitle>
    </ion-card-header>
    <ion-card-content>
      <form [formGroup]="form" (ngSubmit)="updateClubHouse()" (keyup.enter)="updateClubHouse()" method="post">
        <ion-item>
          <ion-label position="floating">{{ 'Name' | translate}}</ion-label>
          <ion-input formControlName="name" type="text" name="name"></ion-input>
        </ion-item>

        <div style="color: red;" *ngIf="form.get('name').hasError('required') && form.get('name').touched">
          {{ 'This field is required*' | translate }}
        </div>

        <div style="color: red">
          {{ 'Note*: By default Society will be assigned as Owner.Individual facility/property owner will have to send request to become owner.' | translate }}
        </div>

        <ion-button type="submit" expand="full" color="primary" [disabled]="!form.valid">
          {{'Update ClubHouse'| translate }}</ion-button>
      </form>
    </ion-card-content>
  </ion-card>
</ion-content>